=== debian/changelog ===
dolfinx-mpc (0.10.1-1) unstable; urgency=medium

  * New upstream release
  * update debian/watch to latest v5 GitHub template
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Feb 2026 12:11:17 +0100

dolfinx-mpc (0.10.0-2) unstable; urgency=medium

  * upload dolfinx-mpc 0.10 to unstable

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Dec 2025 08:51:22 +0100
